Application A P I
Create node allocations
Assigns one or more allocation ports to a node.
POST
/api/application/nodes/{node_id}/allocationsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
node_id*integer
The node ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/application/nodes/1/allocations" \ -H "Content-Type: application/json" \ -d '{ "ip": "192.0.2.10" }'Empty